Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Create a project

Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.

POST/v1/projects
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (bh_…).

Request body
requiredapplication/json
contactIdstringrequired
buildingIdstringrequired
titlestringrequired
min length 1
typestring
Allowed:heat-planningenergieausweisfoerderservice
Responses
201

OK

idstringrequired
contactIdstringrequired
buildingIdstringrequired
titlestringrequired
typestringrequired
Allowed:heat-planningenergieausweisfoerderservice
statusstringrequired
Allowed:draftactivesubmittedarchived
versionNumberintegerrequired
min -9007199254740991 · max 9007199254740991
rootProjectIdstring | nullrequired
Show properties
Any of:
string
string
null
null
parentProjectIdstring | nullrequired
Show properties
Any of:
string
string
null
null
isVisibleInCustomerPortalbooleanrequired
archivedAtstring<date-time> | nullrequired
Show properties
Any of:
string<date-time>
string<date-time>
null
null
createdAtstring<date-time>required
updatedAtstring<date-time>required
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://app.bauhow.com/api/v1/projects' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "contactId": "string",
  "buildingId": "string",
  "title": "string",
  "type": "heat-planning"
}'
Response
{
  "id": "string",
  "contactId": "string",
  "buildingId": "string",
  "title": "string",
  "type": "heat-planning",
  "status": "draft",
  "versionNumber": -9007199254740991,
  "rootProjectId": "string",
  "parentProjectId": "string",
  "isVisibleInCustomerPortal": true,
  "archivedAt": "2019-08-24T14:15:22Z",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}

Was this page helpful?